Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invalid Data of Biometric Verification

In the Biometric Verification process, an Invalid Data scenario occurs when users attempt to perform Image Face Match Verification and Image Liveness Verification but provide incomplete or incorrect data. A common example of this scenario is when a user submits a blank face image along with a valid ID card image.

In such cases:

  • The Image Liveness Verification will automatically fail as it requires a valid face image to detect real-time facial movements and confirm the presence of a live person.

  • Since Image Face Match Verification is dependent on a successful Image Liveness Verification, the API will not proceed with the face match process and no response will be returned for this operation.

This validation flow ensures that the Biometric Verification process maintains high security standards by preventing incomplete or fraudulent data from passing through the system. To avoid this issue, users must provide valid and clear images for both the face and ID card when initiating the verification process.

Headers

Name
Type
Description

Authentication*

String

Bearer <Token>

Content-Type

Format type of request body

Request Body

Name
Type
Description

operations*

String

["imageFaceMatchVerification","imageLivenessVerification"]

payload*

String

{ "partnerTrxId": "random-uuid","groupId": "random-uuid",""faceImage": "Base64 of blank image encoded. ,"croppedFaceImage"or"idFrontSideImage": "Encoded Base64 idcard"}​

userConsent*

String

{ "userIP": "0.0.0.0", "country": "MYS", "obtained": true, "obtainedAt": "1680700959" }

Sample Request and Response

Sample Request
{
  "operations": [
    "imageFaceMatchVerification",
    "imageLivenessVerification"
  ],
  "payload": {
    "partnerTrxId": "{{$guid}}",
    "groupId": "{{$guid}}",
    "faceImage": "Base 64 of blank face",
    "idFrontSideImage": "Base 64 of valid id card"
  },
  "userConsent": {
    "userIp": "226.80.211.232",
    "country": "MYS",
    "obtained": true,
    "obtainedAt": "1680700959"
  }
}

Response

Sample Response
  1. If error is associated with dark face

JSON Response
  1. If error is associated with black and white face

JSON Response
  1. if error is associated with valid base 64 face image and invalid cropped Face Image or idFrontSideImage

JSON Response
  1. If error is associated with valid base 64 face image and invalid cropped Face Image or idFrontSideImage.

JSON Response
  1. If error is associated with multiple face image and valid cropped Face Image or idFrontSideImage

JSON Response
  1. If error is associated with multiple face image and valid cropped Face Image or idFrontSideImage.

JSON Response
  1. if error is associated with Over expose face image and valid cropped Face Image or idFrontSideImage

JSON Response
  1. If error is associated with blur face image and valid cropped Face Image or idFrontSideImage

JSON Response
  1. If error is associated with too far face image and valid cropped Face Image or idFrontSideImageComment

JSON Response
  1. If error is associated with livness score below threshold

JSON Response

Last updated